package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Comboitem;
import org.zkoss.zul.ComboitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Ruta;

public class MyComboRutaRenderer implements ComboitemRenderer {
	@Override
	public void render(Comboitem item, Object data) throws Exception {
		Ruta ruta = (Ruta) data;
		String descricao;
		if (ruta.getRutaId() != -1){
			descricao = ruta.getDescruta() + " Id:" + ruta.getRutaId() + " Sentido:" + (ruta.getIndSentidoIda() ? Labels.getLabel("editarCatalogoDeRutaController.radIda.value") : Labels.getLabel("editarCatalogoDeRutaController.radVolta.value")) + " Nmero:" + ruta.getNumRuta();
		} else {
			descricao = ruta.getDescruta() + " Id:" + ruta.getRutaId();
		}
		item.setLabel(descricao);
		item.setValue(data);
	}
}
